# frozen_string_literal: true

require_dependency 'webhooks/application_controller'

module Webhooks
  class AttemptsController < ApplicationController
    def show
      @attempt = Webhooks::Attempt.find(params[:id])
    end

    def reattempt
      @attempt = Webhooks::Attempt.find(params[:id])

      if @attempt.reattempt(manual_reattempt: true)
        redirect_back fallback_location: attempt_path(@attempt), flash: {
          success: 'Will attempt to deliver event again',
        }
      else
        redirect_back fallback_location: attempt_path(@attempt), flash: {
          error: 'Could not attempt delivering event again',
        }
      end
    end
  end
end
