# frozen_string_literal: true

require_dependency 'webhooks/application_controller'

module Webhooks
  class EventsController < ApplicationController
    def index
      @events = Webhooks::Event.order(created_at: :desc)
    end

    def show
      @event = Webhooks::Event.find(params[:id])
    end

    def new
      @event = Webhooks::Event.new
    end

    def create
      @event = Webhooks::Event.new(event_params)

      if @event.save
        redirect_to event_path(@event), flash: {
          success: 'Successfully created new webhook event.',
        }
      else
        render :new
      end
    end

    private

    def event_params
      params.require(:event).permit(:event_type, :event)
    end
  end
end
