# frozen_string_literal: true

module Webhooks
  class EventSerializer
    include ActiveModel::Serializers::JSON

    attr_reader :id
    attr_reader :type
    attr_reader :event
    attr_reader :created_at

    def initialize(request)
      event = request.event

      @id = event.id
      @type = event.event_type
      @event = ActiveSupport::JSON.decode(event.event)
      @created_at = event.created_at.iso8601(6)
    end

    def attributes
      {
        'id' => id,
        'type' => type,
        'event' => event,
        'created_at' => created_at,
      }
    end
  end
end
