# frozen_string_literal: true

class CreateWebhooksEndpoints < ActiveRecord::Migration[6.1]
  def change
    create_table :webhooks_endpoints do |t|
      t.string :url, null: false, limit: 256
      t.string :event_types, array: true, null: true
      t.integer :state, null: false, default: 0
      t.string :secret, null: false

      t.timestamps null: false, precision: 6

      t.index :url, unique: true
      t.index :secret, unique: true
    end
  end
end
