# frozen_string_literal: true

require 'webhooks/version'
require 'webhooks/engine'
require 'faraday'
require 'faraday_middleware'

module Webhooks
  def self.client
    @client ||= Faraday.new do |conn|
      conn.headers[:user_agent] = Rails.application.config.webhooks.user_agent
      conn.headers[:content_type] = 'application/json'
      conn.headers[:accept] = 'application/json'

      conn.request :json

      conn.options.timeout = Rails.application.config.webhooks.requests.read_timeout
      conn.options.open_timeout = Rails.application.config.webhooks.requests.open_timeout
    end
  end
end
